API ReferenceStaff Reviews

Request changes to an agent

POST
/internal/v1/agent-reviews/{review_id}/request-changes

Returns specific review feedback to the publisher.

Authorization

staffAuth
AuthorizationBearer <token>

Internal SimpleServe reviewer authentication.

In: header

Path Parameters

review_id*string

Public review ID.

Match^rev_[A-Za-z0-9]+$

Header Parameters

Idempotency-Key?string

Prevents duplicate work and charges when a request is retried. Reusing a key with a different request returns 409 idempotency_conflict.

Length8 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/internal/v1/agent-reviews/string/request-changes" \  -H "Idempotency-Key: 01JXYZ1234567890ABCDEF" \  -H "Content-Type: application/json" \  -d '{    "feedback": [      "string"    ]  }'
{  "id": "string",  "object": "agent.review",  "deployment_id": "string",  "status": "in_review",  "version": {    "id": "string",    "object": "agent.version",    "agent_id": "string",    "number": 1,    "source_revision": 1,    "configuration": {      "name": "string",      "description": "string",      "instructions": "string",      "tools": [        "web.search"      ],      "plugins": [        {          "plugin_id": "string",          "version": "string"        }      ],      "pricing": {        "minimum_cost_usd": 0,        "maximum_cost_usd": 1,        "rates": [          {            "meter": "model_input_tokens",            "price_usd": 0          }        ]      },      "icon_file_id": "string",      "categories": [        "string"      ],      "example_prompts": [        "string"      ]    },    "created_at": "2019-08-24T14:15:22Z"  },  "feedback": [    "string"  ],  "submitted_at": "2019-08-24T14:15:22Z",  "decided_at": "2019-08-24T14:15:22Z"}